Package org.springframework.cglib.core

# Class DuplicatesPredicate

java.lang.Object
org.springframework.cglib.core.DuplicatesPredicate

All Implemented Interfaces:
  `Predicate`

public class DuplicatesPredicate extends Object implements Predicate

## Constructor Summary

Constructors
Constructor
Description
`DuplicatesPredicate()`
Constructs a DuplicatesPredicate that will allow subclass bridge methods to be preferred over superclass non-bridge methods.
`DuplicatesPredicate(List allMethods)`
Constructs a DuplicatesPredicate that prefers using superclass non-bridge methods despite a subclass method with the same signature existing (if the subclass is a bridge method).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(Object arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuplicatesPredicate

public DuplicatesPredicate()
Constructs a DuplicatesPredicate that will allow subclass bridge methods to be preferred over superclass non-bridge methods.

### DuplicatesPredicate

public DuplicatesPredicate(List allMethods)
Constructs a DuplicatesPredicate that prefers using superclass non-bridge methods despite a subclass method with the same signature existing (if the subclass is a bridge method).

## Method Details

### evaluate

public boolean evaluate(Object arg)

Specified by:
  `evaluate` in interface `Predicate`